Gets Shipping Status by id
Gets Shipping Status by id
Gets Shipping Status by id
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns the Shipping Status
ShippingStatus
Shipping Status model
Identifier
name
>= 0 characters<= 50 characters
Path Parameters
Headers
Updates Shipping Status
Sample request:
PUT /shippingstatus
{
"name": "Status A"
}
Path Parameters
Shipping Status id
Example:100000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Shipping Status model
EmptyExample
Response
application/json
Response
Returns updated Shipping Status
ShippingStatus
Shipping Status model
Identifier
name
>= 0 characters<= 50 characters
Path Parameters
Headers
Body
Deletes Shipping Status by id
Deletes Shipping Status by id
Path Parameters
Shipping Status id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Shipping Status deleted
Path Parameters
Headers
stockadjustmentreasons
Creates Stock Adjustment Reason
Sample request:
POST /stockadjustmentreasons
{
"name": "Stock Adjustment Reason Name",
"disabled": true
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Adjustment Reason model
EmptyExample
Response
application/json
Response
Stock Adjustment Reason created
StockAdjustmentReason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time